## org.mortbay.jetty.servlet.management
Class HolderMBean

    java.lang.Object
      org.mortbay.management.ObjectMBean
          org.mortbay.jetty.servlet.management.HolderMBean

All Implemented Interfaces:
  DynamicMBean

    public class HolderMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.mortbay.management.ObjectMBean
`_managed`

Constructor Summary
`HolderMBean(Object managedObject)`

Method Summary
`String` `getObjectNameBasis()`

Methods inherited from class org.mortbay.management.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HolderMBean

    public HolderMBean(Object managedObject)

Method Detail

### getObjectNameBasis

    public String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ObjectMBean`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.